<!-- 下级监测 -->
<template>
    <page-container>
        <FullPage>
            <div class="header-container">
                <div class="header-title">
                    <span>档案库房全网监测</span>
                    <span>XXXXXXX系统名称</span>
                </div>
                <div class="header-tool">
                    <div>设备监测</div>
                    <div>告警监测</div>
                </div>
            </div>
            <div class="subordinate-monitoring">
                <div class="left-container">
                    <DataOverview />
                    <DeviceRunningStatus />
                </div>
                <div class="center-container">
                    <Map />
                </div>
                <div class="right-container">
                    <EquipmentRegionDistribution />
                    <EquipmentOperationAnalysis />
                    <EquipmentTypeDistribution />
                </div>
            </div>
        </FullPage>
    </page-container>
</template>
<script lang="ts" name="RegionView" setup>
import DataOverview from "./DataOverview.vue";
import DeviceRunningStatus from "./DeviceRunningStatus.vue";
import Map from "./Map.vue";
import EquipmentRegionDistribution from "./EquipmentRegionDistribution.vue";
import EquipmentOperationAnalysis from "./EquipmentOperationAnalysis.vue";
import EquipmentTypeDistribution from "./EquipmentTypeDistribution.vue";
</script>
<style scoped lang="less">
.header-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 16px;
    .header-title {
        >span {
            display: block;
            &:nth-child(1) {
                font-size: 30px;
                font-weight: 500;
            }
        }
    }
    .header-tool {
        display: flex;
        align-items: center;
        justify-content: space-between;
        >div {
            display: inline-block;
            margin-right: 16px;
            cursor: pointer;
            border: 1px solid #cccccc;
            border-radius: 16px;
            padding: 3px 8px;
        }
    }
}
.subordinate-monitoring {
    display: flex;
    .left-container {
        flex: 1;
    }
    .center-container {
        flex: 2;
    }
    .right-container {
        flex: 1;
    }
}
</style>
